<?php

function item_tot()
{
require('../cfg/res.php');

// mysql_query('update item0 set item_descri=item_razsoc where item_descri="" or item_descri is null',$link_vcrx);
mysql_query('update item0 set item_status="-" where item_status is null',$link_vcrx);
// mysql_query('update item0 set item_codigov=item_codigo where item_codigov="" or item_codigov is null',$link_vcrx);

$xacceso=0;
$sql_acce='select * from usrdoc1 where docu like "ITEM%" and cons="1" and (user="'.$_SESSION['user_vcrx_id'].'" or cedula="'.$_SESSION['user_vcrx_id'].'" or codigo="'.$_SESSION['user_vcrx_id'].'")';
// 	echo $sql_acce;
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Lista de Items ' );}	

$xacceprec=0;
$sql_acce='select * from usrdoc1 where (docu like "PREC%" or docu like "DCTI%") and (cons="1" or info="1") and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceprec=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceprec=1;}
	
// $res_m=mysql_query('alter table adrs0 modify column adrs_codigo int not null auto_increment first',$link_vcrx);
// echo $res_m;
	
$xfgrou='L';
$xforde='D';
$xfcodi='1';
$xfentt='1';


$sql_item0='update item0 set item_status="-" where item_status is null';
$res_item0=mysql_query($sql_item0,$link_vcrx);

// $sql_item0='update item0 set item_sexo=0 where substr(item_codigo,3,1)>5 ';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
	
// $sql_item0='update item0, entisexo set item0.item_sexo=entisexo.item_sexo ';
// $sql_item0.='where item0.item_nom1=entisexo.item_nom1 and item_nom1>"" and item0.item_sexo!=1 and item0.item_sexo!=2';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
	
$sql_item0='update item0 set item_codigo=trim(item_codigo),item_descri=trim(item_descri),item_razsoc=trim(item_razsoc),item_nomcom=trim(item_nomcom),item_ape1=trim(item_ape1),item_ape2=trim(item_ape2),item_nom1=trim(item_nom1),item_nom2=trim(item_nom2)';
$res_item0=mysql_query($sql_item0,$link_vcrx);
$sql_item0='update item0 set item_calle1=trim(item_calle1),item_calle2=trim(item_calle2),item_calle3=trim(item_calle3),item_callen=trim(item_callen)';
$res_item0=mysql_query($sql_item0,$link_vcrx);

$sql_item0='update item0 set item_descri="" where item_descri is null';
$res_item0=mysql_query($sql_item0,$link_vcrx);
	
// $sql_item0='update item0 set item_codigo=concat(item_codigo,"001") where length(item_codigo)=10 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and (substr(item_codigo,3,1)="6" or substr(item_codigo,3,1)="9")';
// $res_item0=mysql_query($sql_item0,$link_vcrx);

	
// $sql_item0='update item0 set item_descri=concat(item_ape1," ",item_ape2," ",item_nom1," ",item_nom2) where item_descri="" and length(item_codigo)=10 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and substr(item_codigo,3,1)<="5"';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
// $sql_item0='update item0 set item_descri=item_razsoc where item_descri="" and length(item_codigo)=13 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and (substr(item_codigo,3,1)="6" or substr(item_codigo,3,1)="9")';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
// $sql_item0='update item0 set item_nomcom=item_razsoc where item_nomcom="" and length(item_codigo)=13 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and (substr(item_codigo,3,1)="6" or substr(item_codigo,3,1)="9")';
// $res_item0=mysql_query($sql_item0,$link_vcrx);

// $sql_item0='update item0 set item_razsoc=item_descri where item_razsoc="" and length(item_codigo)=13 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and (substr(item_codigo,3,1)="6" or substr(item_codigo,3,1)="9")';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
// $sql_item0='update item0 set item_nomcom=item_descri where item_nomcom="" and length(item_codigo)=13 and left(item_codigo,2)>="01" and left(item_codigo,2)<="24" and (substr(item_codigo,3,1)="6" or substr(item_codigo,3,1)="9")';
// $res_item0=mysql_query($sql_item0,$link_vcrx);

	
// $sql_item0='update item0 set item_descri=upper(item_descri), item_nom1=upper(item_nom1), item_nom2=upper(item_nom2),item_ape1=upper(item_ape1), item_ape2=upper(item_ape2)';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
// $sql_item0='update item0 set item_direccion=upper(item_direccion), item_calle1=upper(item_calle1), item_calle2=upper(item_calle2),item_callen=upper(item_callen), item_calle3=upper(item_calle3)';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
	
// $sql_item0='update item0 set item_direccion="" where item_direccion is null';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
// $sql_item0='update item0 set item_direccion=concat(item_calle1," /",item_callen,"/",item_calle2," //",item_calle3) where item_direccion=""';
// $res_item0=mysql_query($sql_item0,$link_vcrx);

// $sql_adrs0='update adrs0 set adrs_calle1=upper(adrs_calle1),adrs_calle2=upper(adrs_calle2),adrs_calle3=upper(adrs_calle3),adrs_callen=upper(adrs_callen),adrs_email=lower(adrs_email)';
// $res_adrs0=mysql_query($sql_adrs0,$link_vcrx);

// $sql_adrs0='update adrs0 set adrs_calle1=trim(adrs_calle1),adrs_calle2=trim(adrs_calle2),adrs_calle3=trim(adrs_calle3),adrs_callen=trim(adrs_callen)';
// $res_adrs0=mysql_query($sql_adrs0,$link_vcrx);
// $sql_adrs0='update adrs0 set adrs_descri="" where adrs_descri is null';
// $res_adrs0=mysql_query($sql_adrs0,$link_vcrx);
// $sql_adrs0='update adrs0 set adrs_direccion="" where adrs_direccion is null';
// $res_adrs0=mysql_query($sql_adrs0,$link_vcrx);
// $sql_adrs0='update adrs0 set adrs_direccion=concat(adrs_calle1," (",adrs_callen,") ",adrs_calle2," /",adrs_calle3) where adrs_direccion=""';
// $res_adrs0=mysql_query($sql_adrs0,$link_vcrx);

	
	
// $sql_item0='update item0 set descri= case ';
// $sql_item0.='when (item_descri="" or item_descri is null) and (left(item_codigo,2)>="01" and left(item_codigo,2)<="24") and (length(item_codigo)=10 ';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
	
	
	
	
if (1==0)
{
// CARGA DATOS DE DIRECCIONES	
	
$sql_item0='select distinct item_codigo from item00 ';
	$sql_item.='where length(item_codigo)>=10 and (item_adrs=0 or item_adrs is null)  ';
	$sql_item.='and (item_tipoid = "C" or item_tipoid="R") ';
	$sql_item.='and ((item_calle1>"" and item_calle1 is not null)or(item_direccion>"" and item_direccion is not null)) ';
	$sql_item.='order by item_codigo';
// echo $sql_item0;	
// $res_item0=mysql_query($sql_item0,$link_vcrx);

while($r_item0=mysql_fetch_assoc($res_item0))
{
	$xenti=trim($r_item0['item_codigo']);

	$sql_adrs0='select * from adrs0 where trim(adrs_item)="'.$xenti.'" order by adrs_codigo';
	$res_adrs0=mysql_query($sql_adrs0,$link_vcrx);
	if (mysql_num_rows($res_adrs0)==0)
	{
		$sql_adrs0='insert into adrs0(adrs_item) value("'.$xenti.'")';
		$res_adrs0=mysql_query($sql_adrs0,$link_vcrx);
// 		echo $sql_adrs0."\n";
	}

// 	$sql_adrs0='select * from adrs0 where trim(adrs_item)="'.$xenti.'" order by adrs_defa desc,adrs_codigo';
// 	$res_adrs0=mysql_query($sql_adrs0,$link_vcrx);

// 	$xadrs=mysql_result($res_adrs0,0,'adrs_codigo');
// 	$sql_itemu='update item0 set item_adrs='.$xadrs.' where item_codigo="'.$xenti.'" and (item_adrs="" or item_adrs is null)';
// 	$res_itemu=mysql_query($sql_itemu,$link_vcrx);

// 	if (mysql_num_rows($res_adrs0)==1)
// 	{	
// 	$xadrs=mysql_result($res_adrs0,0,'adrs_codigo');
// 	$sql_itemu='update item0 set item_adrs='.$xadrs.' where item_codigo="'.$xenti.'"';
// 	$res_itemu=mysql_query($sql_itemu,$link_vcrx);
// 	}

// 	if (mysql_num_rows($res_adrs0)>1)
// 	{	
// 	$xadrs=mysql_result($res_adrs0,0,'adrs_codigo');
// 	$sql_itemu='update item0 set item_adrs='.$xadrs.' where item_codigo="'.$xenti.'" and (item_adrs="" or item_adrs is null)';
// 	$res_itemu=mysql_query($sql_itemu,$link_vcrx);
// 	}	
}
}	
// $sql_adrsu='update adrs0,item0 set ';
// $sql_adrsu.='	adrs_defa=1,';
// $sql_adrsu.='	adrs_direccion=item_direccion,';
// $sql_adrsu.='	adrs_tlfn=item_telefono,';
// $sql_adrsu.='	adrs_calle1=item_calle1,';
// $sql_adrsu.='	adrs_calle2=item_calle2,';
// $sql_adrsu.='	adrs_calle3=item_calle3,';
// $sql_adrsu.='	adrs_callen=item_callen,';
// $sql_adrsu.='	adrs_cdad=item_cdad, ';
// $sql_adrsu.='	adrs_status="-" ';
// $sql_adrsu.='	where adrs_codigo=item_adrs and adrs_item=item_codigo';
// $res_adrsu=mysql_query($sql_adrsu,$link_vcrx);

// $sql_adrsu='	update adrs0 set adrs_status="-" where adrs_status is null';
// $res_adrsu=mysql_query($sql_adrsu,$link_vcrx);

// 	echo $sql_adrsu;
	
	
// mysql_query('insert into adrs0(adrs_item) select distinct enti from vtas1 where status!="X" and status!="O" and enti not in(select adrs_item from adrs0) ',$link_vcrx);
// mysql_query('insert into adrs0(adrs_item) select distinct enti from comp1 where status!="X" and status!="O" and enti not in(select adrs_item from adrs0) ',$link_vcrx);
// mysql_query('insert into adrs0(adrs_item) select distinct enti from nomi1 where status!="X" and status!="O" and enti not in(select adrs_item from adrs0) order by item',$link_vcrx);

// mysql_query('update adrs0,item0 set adrs_calle1=item_calle1       where adrs_item=item_codigo and adrs_calle1 is null or adrs_calle1=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_calle2=item_calle2       where adrs_item=item_codigo and adrs_calle2 is null or adrs_calle2=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_calle3=item_calle3       where adrs_item=item_codigo and adrs_calle3 is null or adrs_calle3=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_callen=item_callen       where adrs_item=item_codigo and adrs_callen is null or adrs_callen=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_tlfn=item_telefono       where adrs_item=item_codigo and adrs_tlfn is null or adrs_tlfn=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_cdad=item_cdad       where adrs_item=item_codigo and adrs_cdad is null or adrs_cdad=""',$link_vcrx);
// mysql_query('update adrs0,item0 set adrs_direccion=item_direccion where adrs_item=item_codigo and adrs_direccion is null or adrs_direccion=""',$link_vcrx);
	
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-12 month' , strtotime ( $fecha1 ) ) ;
// $xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1 = date ( 'Y-m-01' , $nuevafecha );
$xfecha2= date('Y-m-d');

?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>


function _fecha(e,idfec)
{
// 	if(e.keyCode==13)
if(e.keyCode==9 || e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}



function iteml1d(grupox,idnumx,obj)
{
	
	
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

document.getElementById('itemlot2').innerHTML='Cargando...';
$.ajax({
		cache:false,
		url:'../lib/vriteml1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 console.log(dato);
			 document.getElementById('itemlot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('itemlot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('itemlot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('itemlot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('itemlot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('itemlot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('itemlot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('itemlot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar() 
{
	document.body.style.cursor='wait';
	
// var enti=document.getElementById('item').value;
var item=document.getElementById('item').value;
// var fzsub=document.getElementById('fzsub').value;
var flsub=document.getElementById('flsub').value;
var fmrca=document.getElementById('fmrca').value;
var fmdlo=document.getElementById('fmdlo').value;
var fnpar=document.getElementById('fnpar').value;
// var fcdad=document.getElementById('fcdad').value;
// var frcdd=document.getElementById('frcdd').value;
// var fvndd=document.getElementById('fvndd').value;
var fctlg=document.getElementById('fctlg').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}

var fgroul=document.getElementById('fgroul').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

var fpuni=document.getElementById('fpuni').checked;
var fpvp=document.getElementById('fpvp').checked;
var fcost=document.getElementById('fcost').checked;
var fdcto=document.getElementById('fdcto').checked;
var fice=document.getElementById('fice').checked;
var fiva=document.getElementById('fiva').checked;

var mcost=document.getElementById('mcost').checked;
var mpuni=document.getElementById('mpuni').checked;
var mpvp=document.getElementById('mpvp').checked;
var mdcto=document.getElementById('mdcto').checked;
var mice=document.getElementById('mice').checked;
var miva=document.getElementById('miva').checked;
	
var fgrou='D';
var forde='D';
var fcodi='1';

if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}

if (fgroul){fgrou='L';}

if (fordec){forde='C';}
if (forded){forde='D';}
// console.log(fentt);
	

document.getElementById('itemlot1').innerHTML='Cargando datos...';

		$.ajax({
		cache:false,
		url:'vriteml2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fpuni:fpuni,
		fpvp:fpvp,
		fcost:fcost,
		fdcto:fdcto,
		fice:fice,
		fiva:fiva,
		mpuni:mpuni,
		mpvp:mpvp,
		mcost:mcost,
		mdcto:mdcto,
		mice:mice,
		miva:miva,
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		fgrou:fgrou,
		fcodi:fcodi,
		forde:forde,
		item:item,
		fmrca:fmrca,
		fmdlo:fmdlo,
		fnpar:fnpar,
		flsub:flsub,
		fctlg:fctlg}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	                  
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			document.getElementById('itemlot1').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    				    	
			}
		},
		timeout:300000
	});

	document.body.style.cursor='auto';


//location.href=pagina;
} 



//function imprimirlista(entix,entid) 

function imprimirlista() 
{

// var enti=document.getElementById('item').value;
var item=document.getElementById('item').value;

var flsub=document.getElementById('flsub').value;
var fmrca=document.getElementById('fmrca').value;
var fmdlo=document.getElementById('fmdlo').value;
var fnpar=document.getElementById('fnpar').value;
var fctlg=document.getElementById('fctlg').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}


var fgroul=document.getElementById('fgroul').checked;

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;

var fpuni=document.getElementById('fpuni').checked;
var fpvp=document.getElementById('fpvp').checked;
var fcost=document.getElementById('fcost').checked;
var fdcto=document.getElementById('fdcto').checked;
var fice=document.getElementById('fiva').checked;
var fiva=document.getElementById('fice').checked;
	
var fgrou='L';
var forde='D';
var fcodi='1';
var fentt='4';

if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}

	

if (fgroul){fgrou='L';}

if (fordec){forde='C';}
if (forded){forde='D';}

console.log(fentt);
// echo fentt;

pagina="../lib/impr_iteml0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fgrou="+fgrou
+"&fcodi="+fcodi
+"&fentt="+fentt
+"&forde="+forde
+"&fitem="+item
+"&fmrca="+fmrca 
+"&fmdlo="+fmdlo 
+"&fnpar="+fnpar 
+"&flsub="+flsub 
+"&fcost="+fcost 
+"&fdcto="+fdcto
+"&fiva="+fiva
+"&fice="+fice
+"&fpuni="+fpuni
+"&fpvp="+fpvp 
+"&fctlg="+fctlg;

// console.log(pagina);

window.open(pagina);
} 

function abriretiqueta(cod) 
{
	var eti='0';
	if(document.getElementById('chkmrca').checked)
	{eti='1';}

	var itlla='0';
	if(document.getElementById('chktlla').checked)
	{itlla='1';}

	var ipvp='0';
	if(document.getElementById('chkpvp').checked)
	{ipvp='1';}

	var lote=document.getElementById('txt_lote').value;
	if (ipvp=='1'){lote='';}

	
	var urlx='lblbcgnya1.php?itemi='+cod+'&eti='+eti+'&itlla='+itlla+'&ipvp='+ipvp+'&lote='+lote;
    window.open(urlx, "_blank","codigo de barras", "directories=no, location=no, menubar=yes, scrollbars=yes, statusbar=yes, tittlebar=yes");
}

function _lsub(e)
{
	if(e.keyCode==13)
	{
// 		busca_maes2('lsub',document.getElementById('flsub').value,'flsub','lsub_descri','');
	}
}

function _item(e)
{
	if( e.keyCode==13)
	{
// 			busca_maes2('item',document.getElementById('item').value,'item','descri','');
	}
}

function _mrca(e)
{
	if(e.keyCode==13)
	{
// 		busca_maes2('mrca',document.getElementById('fmrca').value,'fmrca','mrca_descri','');
	}
}

function _modi(codigo)
{
// 	console.log(codigo);
//   alert(codigo);
//   return;
//   if(codigo===''){return;}
  
	var data = new FormData();
	var pcp1,puni,pvp,dcto,ice,iva,irbp;
  data.append('codigo',codigo);
// 	var carr=document.getElementById('carr_'+codigo).value;
  if(document.getElementById('pcp1_'+codigo))
  {data.append('pcp1',document.getElementById('pcp1_'+codigo).value);}	
  
  if(document.getElementById('puni_'+codigo))
  {data.append('puni',document.getElementById('puni_'+codigo).value);}	
  
  if(document.getElementById('pvp_'+codigo))
  {data.append('pvp',document.getElementById('pvp_'+codigo).value);}	
  
  if(document.getElementById('dcto_'+codigo))
  {data.append('dcto',document.getElementById('dcto_'+codigo).value);}	
  
  if(document.getElementById('iva_'+codigo))
  {data.append('iva',document.getElementById('iva_'+codigo).value);}	
  
  if(document.getElementById('ice_'+codigo))
  {data.append('ice',document.getElementById('ice_'+codigo).value);}	
  
  
	$.ajax({
		cache:false,
		url:'vrmitem0.php',
	  async:true,
		type:'POST',
		contentType:false,
		data:data, 
    processData:false,
    beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		success:function(dato, textStatus, jqXHR)
		{
			document.getElementById('error_'+codigo).innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
						else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
						else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
						else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
						else if (exception === 'timeout') {alert('Servidor no Responde');}
						else if (exception === 'abort') {console.log('Ajax request aborted.');}
						else {console.log('Uncaught Error: ' + jqXHR.responseText);}

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success'){}           
		},
		timeout:30000
	});

	
}
	
  
  
</script>

<?php include ('php_goep1.php'); ?>

<div style=" max-height:200px; overflow-y:scroll; margin-top:5px;">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table>	
	<caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
</table>
</th>



<th style ="border-left:solid 1px;" >
<div align="center" >
<span>AGRUPADO X</span>
</div>
<div>
<input type="radio" id="fgroul" name="fgroup" <?php if($xfgrou=='L'){echo 'checked';}?>/><span>Lineas</span> <br/>
<input type="radio" id="fgrout" name="fgroup" <?php if($xfgrou=='M'){echo 'checked';}?>/><span>Marca</span> <br/>
<input type="hidden" id="fgrouz" name="fgroup" <?php if($xfgrou=='Z'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrouv" name="fgroup" <?php if($xfgrou=='V'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrour" name="fgroup" <?php if($xfgrou=='R'){echo 'checked';}?>/><span></span> <br/>
</div>
</th>



<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div>
<input type="radio" id="forded" name="forder" <?php if($xforde=='D'){echo 'checked';}?>/><span>Nombre</span> <br/>
<input type="radio" id="fordec" name="forder" <?php if($xforde=='C'){echo 'checked';}?>/><span>Codigo</span> <br/>
</div>
</th>

<th style ="border-left:solid 1px;">
<div align="center">
<span>CODIGOS</span>
</div>
<div>
<input type="radio" id="fcodis" name="tcodi" <?php if($xfcodi=='1'){echo 'checked';}?>/><span>Sistema</span> <br/>
<input type="radio" id="fcodia" name="tcodi" <?php if($xfcodi=='2'){echo 'checked';}?>/><span>Auxiliar</span> <br/>
<input type="radio" id="fcodie" name="tcodi" <?php if($xfcodi=='3'){echo 'checked';}?>/><span>EAN (Barras)</span> <br/>
</div>
</th>

	
<th width="10%" style="border-left:solid 1px;">
	<div align="center">
		<span>VALORES</span>
	</div>
	<table>
		<tr>
			<td style="<?php if($xacceprec==0){echo 'display:none;';} ?>">
				<div>
				<?php $pidtxt='fcost'; $pcaption='Costo'; $pdefa=0; include('vrchkbox.php'); ?>	
				<?php $pidtxt='fpuni'; $pcaption='P.Uni.';  $pdefa=0; include('vrchkbox.php'); ?>	
				<?php $pidtxt='fpvp'; $pcaption='P.V.P.'; $pdefa=0; include('vrchkbox.php'); ?>	
				</div>
			</td>
			<td>
				<div>
				<?php $pidtxt='fice'; $pcaption='I.C.E.'; $pdefa=1; include('vrchkbox.php'); ?>	
				<?php $pidtxt='fdcto'; $pcaption='Dcto.'; $pdefa=1; include('vrchkbox.php'); ?>	
				<?php $pidtxt='fiva'; $pcaption='I.V.A.'; $pdefa=1; include('vrchkbox.php'); ?>	
				</div>
			</td>
		</tr>
	</table>
</th>
	
	
	
<th style ="border-left:solid 1px;display:none;">
<div align="center">
<span>ITEMS</span>
</div>
<div>
<input type="radio" id="fenttc" name="fentt" <?php if($xfentt=='1'){echo 'checked';}?>/><span>Clientes</span> <br/>
<input type="radio" id="fenttp" name="fentt" <?php if($xfentt=='2'){echo 'checked';}?>/><span>Proveedores</span> <br/>
<input type="radio" id="fentte" name="fentt" <?php if($xfentt=='3'){echo 'checked';}?>/><span>Empleados</span> <br/>
<input type="radio" id="fenttt" name="fentt" <?php if($xfentt=='4'){echo 'checked';}?>/><span>Todos</span> <br/>

</div>
</th>




<th style ="border-left:solid 1px;">	
<table>
	<th>
		<td><b>ETIQUETA</b></td>
	</th>
	<tr>
		<td>Marca<input type="checkbox" id="chkmrca" checked="checked" /></td>
<!-- 	</tr> -->
<!-- 	<tr> -->
		<td>P.V.P<input type="checkbox" id="chkpvp" checked="checked" /></td>
	</tr>
	<tr>
		<td>Talla<input type="checkbox" id="chktlla" checked="checked" /></td>
<!-- 	</tr> -->
<!--   <tr> -->
		<?php $pcaption='LOTE';   $pidtxt='txt_lote'; $plong=10; $pobj=3; include('vrgettxt.php'); ?>
	</tr>    
</table>                
	</th>	
  
<!-- 	document.getElementById(item).value; -->

<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<!-- <br> -->
<?php $pcaption='Imprimir';  $ponclick="imprimirlista();" ;include('vrbutton.php'); ?>
<br>
<?php //$pcaption='Nuevo';  $ponclick="php_func('new_item()');redireccionar();" ;include('vrbutton.php'); ?>
<?php //$pcaption='Nuevo Servicio';  $ponclick="php_func('new_item(77)');redireccionar();" ;include('vrbutton.php'); ?>
<?php //$pcaption='Nuevo Item';  $ponclick="php_func('new_item(88)');redireccionar();" ;include('vrbutton.php'); ?>
<?php $pcaption='Nuevo Item';  $ponclick="php_func('new_item(20)');redireccionar();" ;include('vrbutton.php'); ?>
<?php $pcaption='Nuevo Gasto';  $ponclick="php_func('new_item(99)');redireccionar();" ;include('vrbutton.php'); ?>
</th>

</tr>
</table>

<table id="tabla_filtros2" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<th style ="border-left:solid 1px;">
FILTROS	
</th>
<!-- <div align="center">
<span>FILTROS</span>
</div> -->
<th style ="border-left:solid 1px;">
<table>
<tr style="display:none;">
		<?php $pcaption='ENTIDAD';  $ptabla='enti'; $pdefa=$xfenti; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='ZONA';  $ptabla='zsub'; $pidtxt='fzsub'; $pdefa=$xfzsub; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='T.PROV';  $ptabla='tpro'; $pidtxt='ftpro';  $pdefa=$xftpro; include('vrgetcod.php'); ?>
</tr>
<tr>
		<?php $pcaption='LINEA';  $ptabla='lsub'; $pidtxt='flsub'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
		<?php $pcaption='ITEM';  $ptabla='item'; $pidtxt='item'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
</table>	
	
</th>
<th>
<table>
<tr>
		<?php $pcaption='MARCA';  $ptabla='mrca'; $pidtxt='fmrca'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
		<?php $pcaption='MODELO';   $pidtxt='fmdlo'; $plong=20; include('vrgettxt.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='Num.Parte';   $pidtxt='fnpar'; $plong=20; include('vrgettxt.php'); ?>
</tr>
</table>	
	
</th>
<th style ="border-left:solid 1px; <?php	if (mb_stristr('gnya.gmny.leie',substr($_SESSION['user_vcrx_empr'],0,4))){}else{echo 'display:none;';} ?>">
<table >
<tr>
		<?php $pcaption='CATALOGO';   $pidtxt='fctlg'; $plong=5; include('vrgettxt.php'); ?>
</tr>
</table>	
	</th>
	
<th style="border-left:solid 1px; <?php	if (mb_stristr('rcsa',substr($_SESSION['user_vcrx_empr'],0,4))){}else{echo 'display:none;';} ?>">
<table >
<caption>VEHICULO</caption>	
<tr>
		<?php $pcaption='MARCA';   $ptabla='mrca'; $pidtxt='fmrca2'; include('vrgetcod.php'); ?>
</tr>
<tr>
		<?php $pcaption='MODELO';   $pidtxt='fmdlo2'; $plong=20; include('vrgettxt.php'); ?>
</tr>
</table>	
	
</th>

<th width="10%" style="border-left:solid 1px;<?php if($xacceprec==0){echo 'display:none;';} ?>">
	<table id="modificar" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; ">
		<tr>
		<td colspan=2>
		<?php $pcaption='MODIFICAR';  $ponclick="redireccionar(1);" ;include('vrbutton.php'); ?>
		</td>		
		</tr>	
		<tr>
		<td align="left" style="<?php if($xacceprec==0){echo 'display:none;';} ?>">
			<?php $pidtxt='mcost';  $pcaption='Costo'; $pdefa=0; include('vrchkbox.php'); ?>	
			<?php $pidtxt='mpuni';  $pcaption='P.Uni.'; $pdefa=0; include('vrchkbox.php'); ?>	
			<?php $pidtxt='mpvp';  $pcaption='P.V.P.'; $pdefa=0; include('vrchkbox.php'); ?>	
		</td>		
		<td align="left" style="<?php if($xacceprec==0){echo 'display:none;';} ?>">
			<?php $pidtxt='mice';  $pcaption='I.C.E.'; $pdefa=0; include('vrchkbox.php'); ?>	
			<?php $pidtxt='mdcto';  $pcaption='Dcto.'; $pdefa=0; include('vrchkbox.php'); ?>	
			<?php $pidtxt='miva';  $pcaption='I.V.A.'; $pdefa=0; include('vrchkbox.php'); ?>	
		</td>		
		</tr>		
		<tr>		
		<td style="<?php if($xaccehoja==0){echo 'display:none;';} ?>">
			<?php //$pidtxt='mhoja';  $pcaption='Hoja'; $pdefa=0; include('vrchkbox.php'); ?>	
		<?php //} ?>
		</td>		
		</tr>		
	</table>
</th>
	
	
	
	
</table>

</div>

<hr/>


<div id="itemlot1" style="overflow-y:scroll;overflow-x:scroll; height:300px;"></div>

<br>
<div id="itemlot2" style="overflow-x:scroll;"></div>

<?php		
// $xwidth=40;	
require('lista_car.php');
?>	
<!-- 
<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    
 -->



<?php }?>

